org.wildfly.swarm.config.elytron

## Class CustomRoleMapper<T extends CustomRoleMapper<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.CustomRoleMapper<T>

-     public class CustomRoleMapper<T extends CustomRoleMapper<T>>
      extends Object

  Definition of a custom RoleMapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomRoleMapper(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `className()` Fully qualified class name of the RoleMapper
    `T` | `className(String value)` Fully qualified class name of the RoleMapper
    `Map` | `configuration()` The optional key/value configuration for the RoleMapper
    `T` | `configuration(Map value)` The optional key/value configuration for the RoleMapper
    `T` | `configuration(String key, Object value)` The optional key/value configuration for the RoleMapper
    `String` | `getKey()`
    `String` | `module()` Name of the module to use to load the RoleMapper
    `T` | `module(String value)` Name of the module to use to load the RoleMapper
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomRoleMapper

          public CustomRoleMapper(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### configuration

          public Map configuration()

      The optional key/value configuration for the RoleMapper

    - #### configuration

          public T configuration(Map value)

      The optional key/value configuration for the RoleMapper

    - #### configuration

          public T configuration(String key,
                                 Object value)

      The optional key/value configuration for the RoleMapper

    - #### className

          public String className()

      Fully qualified class name of the RoleMapper

    - #### className

          public T className(String value)

      Fully qualified class name of the RoleMapper

    - #### module

          public String module()

      Name of the module to use to load the RoleMapper

    - #### module

          public T module(String value)

      Name of the module to use to load the RoleMapper

Copyright © 2017 JBoss by Red Hat. All rights reserved.